diff --git a/scripts/GenMsgAST.py b/scripts/GenMsgAST.py
index 20168a4..8135fb9 100755
--- a/scripts/GenMsgAST.py
+++ b/scripts/GenMsgAST.py
@@ -1,4 +1,6 @@
+#!/usr/bin/python
 # -*- coding: utf-8 -*-
+
 ## ----------------------------------------------------------------------------
 ## CERTI - HLA RunTime Infrastructure
 ## Copyright (C) 2002-2005  ONERA
@@ -27,13 +29,18 @@ Generator AST classes.
 """
 
 import os
-import getopt, sys
+import getopt
+import sys
 import datetime
 import logging
+
 # Build some logger related objects
+
 stdoutHandler = logging.StreamHandler(sys.stdout)
-                                      
+
+
 class ASTElement(object):
+
     """
     The base class for all Abstract Syntax Tree element.
 
@@ -43,44 +50,62 @@ class ASTElement(object):
                     may be C{None}
     @type comment: C{CommentBlock}   
     """
-    
-    def __init__(self,name):        
-        self.__name     = name
-        self.__comment  = None
+
+    def __init__(self, name):
+        self.__name = name
+        self.__comment = None
         self.__linespan = None
-        self.logger = logging.Logger("ASTElement")
+        self.logger = logging.Logger('ASTElement')
         self.logger.setLevel(logging.ERROR)
         self.logger.addHandler(stdoutHandler)
-    
+
     def __getName(self):
-        return self.__name    
-    def __setName(self,name):        
+        return self.__name
+
+    def __setName(self, name):
         self.__name = name
-    # pythonic getter/setter using properties    
-    name = property(fget=__getName,fset=__setName,fdel=None, doc="The name of the C{ASTElement}")    
-    
+
+    # pythonic getter/setter using properties
+
+    name = property(fget=__getName, fset=__setName, fdel=None,
+                    doc='The name of the C{ASTElement}')
+
     def hasComment(self):
-        return self.__comment!=None
-    
+        return self.__comment != None
+
     def __getComment(self):
-        return self.__comment    
-    def __setComment(self,comment):
-        if isinstance(comment,type("")):
+        return self.__comment
+
+    def __setComment(self, comment):
+        if isinstance(comment, type('')):
             pass
         else:
-            self.logger.info("Adding comment %s to element %s" % (comment.lines,self.name))
+            self.logger.info('Adding comment %s to element %s'
+                             % (comment.lines, self.name))
             self.__comment = comment
-    # pythonic getter/setter using properties    
-    comment = property(fget=__getComment,fset=__setComment,fdel=None, doc="The comment block attached to the C{ASTElement}")
-    
+
+    # pythonic getter/setter using properties
+
+    comment = property(fget=__getComment, fset=__setComment, fdel=None,
+                       doc='The comment block attached to the C{ASTElement}'
+                       )
+
     def __getLinespan(self):
-        return self.__linespan    
-    def __setLinespan(self,linespan):        
+        return self.__linespan
+
+    def __setLinespan(self, linespan):
         self.__linespan = linespan
-    # pythonic getter/setter using properties    
-    linespan = property(fget=__getLinespan,fset=__setLinespan,fdel=None, doc="The line span of this C{ASTElement} in the original file")    
-    
+
+    # pythonic getter/setter using properties
+
+    linespan = property(fget=__getLinespan, fset=__setLinespan,
+                        fdel=None,
+                        doc='The line span of this C{ASTElement} in the original file'
+                        )
+
+
 class MessageAST(ASTElement):
+
     """
     Message Abstract Syntax Tree root class.
     
@@ -99,108 +124,140 @@ class MessageAST(ASTElement):
     @type messages: C{set} of C{MessageType}          
     
     """
-    def __init__(self,name):
-        super(MessageAST,self).__init__(name=os.path.basename(name))
-        self.__package            = None
-        self.__version            = None
-        self.__factory            = None
-        self.__nativeTypes        = []
-        self.__messageTypes       = []
-        self.__enumTypes          = []
+
+    def __init__(self, name):
+        super(MessageAST, self).__init__(name=os.path.basename(name))
+        self.__package = None
+        self.__version = None
+        self.__factory = None
+        self.__nativeTypes = []
+        self.__messageTypes = []
+        self.__enumTypes = []
+
         # The types dictionary is initialized with builtin types
-        self.__types                = {'onoff' : ASTElement("onoff"),
-                                       'bool' : ASTElement("bool"),
-                                       'string' : ASTElement("string"),
-                                       'byte' : ASTElement("byte"),
-                                       'int8' : ASTElement("int8"),
-                                       'uint8' : ASTElement("uint8"),
-                                       'int16' : ASTElement("int16"),
-                                       'uint16' : ASTElement("uint16"),
-                                       'int32' : ASTElement("int32"),
-                                       'uint32' : ASTElement("uint32"),   
-                                       'int64' : ASTElement("int64"),
-                                       'uint64' : ASTElement("uint64"),
-                                       'float' : ASTElement("float"),
-                                       'double' : ASTElement("double")}
-        self.__ultimateElement      = None                
-        self.logger = logging.Logger("MessageAST")
+
+        self.__types = {
+            'onoff': ASTElement('onoff'),
+            'bool': ASTElement('bool'),
+            'string': ASTElement('string'),
+            'byte': ASTElement('byte'),
+            'int8': ASTElement('int8'),
+            'uint8': ASTElement('uint8'),
+            'int16': ASTElement('int16'),
+            'uint16': ASTElement('uint16'),
+            'int32': ASTElement('int32'),
+            'uint32': ASTElement('uint32'),
+            'int64': ASTElement('int64'),
+            'uint64': ASTElement('uint64'),
+            'float': ASTElement('float'),
+            'double': ASTElement('double'),
+            }
+        self.__ultimateElement = None
+        self.logger = logging.Logger('MessageAST')
         self.logger.setLevel(logging.ERROR)
         self.logger.addHandler(stdoutHandler)
-        
+
     def hasPackage(self):
         return self.__package != None
+
     def __getPackage(self):
         return self.__package
-    def __setPackage(self,package):
+
+    def __setPackage(self, package):
         self.__package = package
-    # pythonic getter/setter using properties   
-    package = property(fget=__getPackage,fset=__setPackage,fdel=None,doc=None)
+
+    # pythonic getter/setter using properties
+
+    package = property(fget=__getPackage, fset=__setPackage, fdel=None,
+                       doc=None)
 
     def hasVersion(self):
         return self.__version != None
+
     def __getVersion(self):
         return self.__version
-    def __setVersion(self,version):
+
+    def __setVersion(self, version):
         self.__version = version
-    # pythonic getter/setter using properties   
-    version = property(fget=__getVersion,fset=__setVersion,fdel=None,doc=None)
+
+    # pythonic getter/setter using properties
+
+    version = property(fget=__getVersion, fset=__setVersion, fdel=None,
+                       doc=None)
 
     def hasFactory(self):
         return self.__factory != None
+
     def __getFactory(self):
         return self.__factory
-    def __setFactory(self,factory):
+
+    def __setFactory(self, factory):
         self.__factory = factory
-    # pythonic getter/setter using properties   
-    factory = property(fget=__getFactory,fset=__setFactory,fdel=None,doc=None)
-        
+
+    # pythonic getter/setter using properties
+
+    factory = property(fget=__getFactory, fset=__setFactory, fdel=None,
+                       doc=None)
+
     def __getNativeTypes(self):
-        return self.__nativeTypes  
-    # pythonic getter/setter using properties   
-    natives = property(fget=__getNativeTypes,fset=None,fdel=None,doc=None)
-    
+        return self.__nativeTypes
+
+    # pythonic getter/setter using properties
+
+    natives = property(fget=__getNativeTypes, fset=None, fdel=None,
+                       doc=None)
+
     def __getMessageTypes(self):
-        return self.__messageTypes  
-    # pythonic getter/setter using properties      
-    messages = property(fget=__getMessageTypes,fset=None,fdel=None,doc=None)
-    
-    def __getEnumTypes(self):    	    	
+        return self.__messageTypes
+
+    # pythonic getter/setter using properties
+
+    messages = property(fget=__getMessageTypes, fset=None, fdel=None,
+                        doc=None)
+
+    def __getEnumTypes(self):
         return self.__enumTypes
-    # pythonic getter/setter using properties   
-    enums = property(fget=__getEnumTypes,fset=None,fdel=None,doc=None)
-    
-    def getRootMergeType(self,msg,verbose=0):
-    	""" 
-    	Return the root merge type of a message.
-    	
-    	The idea is to find the root of the merge chain of
-    	the provided message. 
-    	@param msg: the message for which we want to know the root merge type
-    	@type any: more precisely either C{NativeType} or C{MessageType} however
-    	           only C{MessageType} may lead to a real search of the root.
-    	@return: the C{MessageType} root merge type or msg if msg wasn't an instance of C{MessageType}
-    	"""
-    	retval = None
-    	# msg may be a simple string not a type    	
-    	if (isinstance(msg,type(""))):
-    		current = self.getType(msg)
-    	else:
-    		current = msg
-    		
-    	while retval==None:
-    		if (verbose):
-    			print "current = %s, retval = %s" % (current,retval)
-    			print "type(current)=", type(current)    	    		    
-    	 	if isinstance(current,MessageType):
-    		  	if current.hasMerge():
-    		 	  current=self.getType(current.merge)
-    		 	else: 
-    		 	  retval = current
-    		else:
-    			retval = current   
+
+    # pythonic getter/setter using properties
+
+    enums = property(fget=__getEnumTypes, fset=None, fdel=None,
+                     doc=None)
+
+    def getRootMergeType(self, msg, verbose=0):
+        """ 
+    ....Return the root merge type of a message.
+    ....
+    ....The idea is to find the root of the merge chain of
+    ....the provided message. 
+    ....@param msg: the message for which we want to know the root merge type
+    ....@type any: more precisely either C{NativeType} or C{MessageType} however
+    ....           only C{MessageType} may lead to a real search of the root.
+    ....@return: the C{MessageType} root merge type or msg if msg wasn't an instance of C{MessageType}
+    ...."""
+
+        retval = None
+
+        # msg may be a simple string not a type    ....
+
+        if isinstance(msg, type('')):
+            current = self.getType(msg)
+        else:
+            current = msg
+
+        while retval == None:
+            if verbose:
+                print 'current = %s, retval = %s' % (current, retval)
+                print 'type(current)=', type(current)
+            if isinstance(current, MessageType):
+                if current.hasMerge():
+                    current = self.getType(current.merge)
+                else:
+                    retval = current
+            else:
+                retval = current
         return retval
-        
-    def add(self,any):
+
+    def add(self, any):
         """ 
         Add an ASTElement to the AST.
         
@@ -211,97 +268,118 @@ class MessageAST(ASTElement):
         @type any: some sub-class of C{ASTElement}, see: G{ASTElement}
           
         """
+
         if any == None:
-            self.logger.error("<None> given to AST some rule aren't finished")    
-        else:                     
-            self.logger.debug("Add %s %s" % (type(any).__name__,any.name))
+            self.logger.error("<None> given to AST some rule aren't finished"
+                              )
+        else:
+            self.logger.debug('Add %s %s' % (type(any).__name__,
+                              any.name))
+
             # Typename must be unique
-            if self.isDefined(any.name):                
-                self.logger.error("%s already defined in the AST" % any.name)
-                self.logger.error(" --> Check lines (%d,%d) " % any.linespan + "and (%d,%d)" % self.getType(any.name).linespan+ " of <%s>" % self.name)                          
-            elif isinstance(any,EnumType):            
-                self.addEnumType(any)                            
-            elif isinstance(any,NativeType):
+
+            if self.isDefined(any.name):
+                self.logger.error('%s already defined in the AST'
+                                  % any.name)
+                self.logger.error(' --> Check lines (%d,%d) '
+                                  % any.linespan + 'and (%d,%d)'
+                                  % self.getType(any.name).linespan
+                                  + ' of <%s>' % self.name)
+            elif isinstance(any, EnumType):
+                self.addEnumType(any)
+            elif isinstance(any, NativeType):
                 self.addNativeType(any)
-            elif isinstance(any,MessageType):
+            elif isinstance(any, MessageType):
                 self.addMessageType(any)
-            elif isinstance(any,Package):
+            elif isinstance(any, Package):
                 self.package = any
-            elif isinstance(any,Version):
+            elif isinstance(any, Version):
                 self.version = any
-            elif isinstance(any,Factory):
+            elif isinstance(any, Factory):
                 self.factory = any
+            elif isinstance(any, CommentBlock):
+
             # Handle comment block preceding other AST element
-            elif isinstance(any,CommentBlock):                
+
                 if self.__ultimateElement != None:
+
                     # attach the comment block to the preceding
                     # AST element (recursion is backtracking)
                     # The list of comment line should be reversed
+
                     any.lines.reverse()
                     self.__ultimateElement.comment = any
                 else:
-                    pass               
-            else:            
-                self.logger.error("<%s> not handle [yet]" % any)                   
-            self.__ultimateElement    = any            
-            
-    def addMessageType(self,message): 
+                    pass
+            else:
+                self.logger.error('<%s> not handle [yet]' % any)
+            self.__ultimateElement = any
+
+    def addMessageType(self, message):
         """
         Add a message type to the AST.
         
         @param message: The message type to be added
         @type message: C{MessageType}  
-        """       
+        """
+
         self.__messageTypes.append(message)
         self.__types[message.name] = message
-        
-    def addEnumType(self,enumType):
+
+    def addEnumType(self, enumType):
         """
         Add an enum type to the AST.
         
         @param enumType: The enum type to be added
         @type enumType: C{EnumType}  
-        """        
+        """
+
         self.__enumTypes.append(enumType)
-        self.__types[enumType.name] = enumType               
-    
-    def addNativeType(self,native):
+        self.__types[enumType.name] = enumType
+
+    def addNativeType(self, native):
         """
         Add a native type to the AST.
         
         @param native: The message type to be added
         @type native: C{NativeType}  
         """
+
         self.__nativeTypes.append(native)
         self.__types[native.name] = native
-        
-    def isDefined(self,typename):
+
+    def isDefined(self, typename):
         """
         Return true if the typename is know in this AST.
         
         @param typename: the name of the type
         @type typename: C{string}  
         """
-        return self.getType(typename)!=None        
-    
-    def getType(self,typename):
-        if isinstance(typename,type("")):
+
+        return self.getType(typename) != None
+
+    def getType(self, typename):
+        if isinstance(typename, type('')):
             if typename in self.__types.keys():
                 return self.__types[typename]
             else:
                 return None
         else:
-            return typename        
-    
+            return typename
+
     def __repr__(self):
-        res = "AST with <%d> native type(s), <%d> enum, <%d> message type(s)" % (len(self.natives),len(self.enums),len(self.messages))
-        if (self.hasFactory()):
-            res = res + " and factory <%s> "% self.factory.name
-        if (self.hasPackage()):
-            res = res + " in package <%s>" % self.package
-        return res    
-    
+        res = \
+            'AST with <%d> native type(s), <%d> enum, <%d> message type(s)' \
+            % (len(self.natives), len(self.enums), len(self.messages))
+        if self.hasFactory():
+            res = res + ' and factory <%s> ' % self.factory.name
+        if self.hasPackage():
+            res = res + ' in package <%s>' % self.package
+        return res
+
+
 class CommentBlock(ASTElement):
+
     """
     Represents a block of comment
     
@@ -309,21 +387,27 @@ class CommentBlock(ASTElement):
     @param lines: the comments lines
     @type lines: C{list} of C{string}  
     """
-    
-    def __init__(self,content,isAtEOL):
+
+    def __init__(self, content, isAtEOL):
         """
         C{CommentBlock} constructor
         """
-        super(CommentBlock,self).__init__(name="ANY Comment Block")
-        self.lines=[content]
-        self.__isAtEOL=isAtEOL
-        
+
+        super(CommentBlock, self).__init__(name='ANY Comment Block')
+        self.lines = [content]
+        self.__isAtEOL = isAtEOL
+
     def __getisAtEOL(self):
         return self.__isAtEOL
-    # pythonic getter/setter using properties   
-    isAtEOL = property(fget=__getisAtEOL,fset=None,fdel=None,doc="True if the comment is optional")   
-    
+
+    # pythonic getter/setter using properties
+
+    isAtEOL = property(fget=__getisAtEOL, fset=None, fdel=None,
+                       doc='True if the comment is optional')
+
+
 class Package(ASTElement):
+
     """
     Represents a package.
     
@@ -331,66 +415,82 @@ class Package(ASTElement):
     name is a C{string} containing a
     dot-separated IDs like: "fr.onera.certi"
     """
-    def __init__(self,name):        
-        super(Package,self).__init__(name)                        
-          
+
+    def __init__(self, name):
+        super(Package, self).__init__(name)
+
     def __repr__(self):
-        return "package %s" % self.name
+        return 'package %s' % self.name
+
 
 class Version(ASTElement):
+
     """
     Represents a version number.
     
     A C{Version} is a simple C{ASTElement} whose
     name is a C{string}.
     """
-    def __init__(self,number):
-        super(Version,self).__init__(name="Version")
+
+    def __init__(self, number):
+        super(Version, self).__init__(name='Version')
         self.number = number
-          
+
     def __repr__(self):
-        return "version %d.%d" % self.number
+        return 'version %d.%d' % self.number
+
 
 class Factory(ASTElement):
+
     """
     Represents a factory.
     
     A C{Factory} is anC{ASTElement} whose
     name is a C{string}.
     """
-    def __init__(self,name,creator,receiver=None):        
-        super(Factory,self).__init__(name)
-        self.creator  = creator
+
+    def __init__(
+        self,
+        name,
+        creator,
+        receiver=None,
+        ):
+        super(Factory, self).__init__(name)
+        self.creator = creator
         self.receiver = receiver
-	
+
     def hasFactoryCreator(self):
-	return self.creator != None
-    
+        return self.creator != None
+
     def hasFactoryReceiver(self):
-	return self.receiver != None
-          
+        return self.receiver != None
+
     def __repr__(self):
-        res="factory %s" % self.name
-        res=res+ ", creator = %s %s(%s)" % creator
-        res=res+ ", receiver = %s %s(%s)" % receiver
-        return res    
-     
+        res = 'factory %s' % self.name
+        res = res + ', creator = %s %s(%s)' % creator
+        res = res + ', receiver = %s %s(%s)' % receiver
+        return res
+
+
 class NativeType(ASTElement):
+
     """ 
     Represents a native message type.
     
     A C{NaptiveType} is a simple C{ASTElement} whose
     name is the name the native type.
     """
-    
-    def __init__(self,name,lines):
-        super(NativeType,self).__init__(name=name)
+
+    def __init__(self, name, lines):
+        super(NativeType, self).__init__(name=name)
+
         # store language line list in a dictionary
         # in order to ease retrieval
+
         self.languages = dict()
         self.representation = None
         for l in lines:
-            if isinstance(l,NativeType.LanguageLine):
+            if isinstance(l, NativeType.LanguageLine):
                 if l.name in self.languages.keys():
                     self.languages[l.name].append(l)
                 else:
@@ -398,42 +498,51 @@ class NativeType(ASTElement):
                     self.languages[l.name].append(l)
             else:
                 self.representation = l.representation
-        self.nbHeir	= 0
-        
+        self.nbHeir = 0
+
     def __repr__(self):
-        return "native %s" % self.name
-    
-    def hasLanguage(self,language):
-        return (language in self.languages.keys())
-    
-    def getLanguageLines(self,language):
+        return 'native %s' % self.name
+
+    def hasLanguage(self, language):
+        return language in self.languages.keys()
+
+    def getLanguageLines(self, language):
         if language in self.languages.keys():
             return self.languages[language]
-        
+
     def hasRepresentation(self):
         return self.representation != None
 
     def getRepresentation(self):
         return self.representation
-       
-	def hasHeir(self):
-		return self.nbHeir > 0
-     
+
+        def hasHeir(self):
+            return self.nbHeir > 0
+
+
     class LanguageLine(ASTElement):
+
         """ Represents a Language Line Value
         """
-        def __init__(self,name,value):
-            super(NativeType.LanguageLine,self).__init__(name=name)    
-            self.statement = value.strip("[]")                
+
+        def __init__(self, name, value):
+            super(NativeType.LanguageLine, self).__init__(name=name)
+            self.statement = value.strip('[]')
+
 
     class RepresentationLine(ASTElement):
+
         """ Represents a Representation Line Value
         """
-        def __init__(self,value):
-            super(NativeType.RepresentationLine,self).__init__(name='representation')
+
+        def __init__(self, value):
+            super(NativeType.RepresentationLine,
+                  self).__init__(name='representation')
             self.representation = value
-                    
+
+
 class MessageType(ASTElement):
+
     """ 
     Represents a message type.
     
